%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  landscapeR
%global packver   1.3.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.3.1
Release:          1%{?dist}%{?buildtag}
Summary:          Categorical Landscape Simulation Facility

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp >= 1.0.3
BuildRequires:    R-CRAN-terra 
Requires:         R-CRAN-Rcpp >= 1.0.3
Requires:         R-CRAN-terra 

%description
Simulates categorical maps on actual geographical realms, starting from
either empty landscapes or landscapes provided by the user (e.g. land use
maps). Allows to tweak or create landscapes while retaining a high degree
of control on its features, without the hassle of specifying each location
attribute. In this it differs from other tools which generate null or
neutral landscapes in a theoretical space. The basic algorithm currently
implemented uses a simple agent style/cellular automata growth model, with
no rules (apart from areas of exclusion) and von Neumann neighbourhood
(four cells, aka Rook case). Outputs are raster dataset exportable to any
common GIS format.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
